Dev Team Updates Redsn0w to Fix Issue Affecting OS X Users


Jailbreak iPod Touch On iOS 4.2.1 Redsn0w

While we eagerly wait for the jailbreak community to release an untethered jailbreak for iPhone 4, iPhone 3GS, iPad 1, iPod touch 4 and iPod touch 3 and a jailbreak for iPhone 4S, iPad 2 and iPad 3, the iPhone Dev team has quietly updated Redsn0w to fix an issue for those running OS X 10.5.x or earlier.

The OS X version of Redsn0w has now been bumped up to 0.9.10b6b. Dev team hasn’t provided any details about the issue that was affecting users running OS X 10.5.x or earlier. They’ve just updated their blog with this brief note:

 The OS X version of redsn0w has been updated to fix an issue for those running OS X 10.5.x or earlier.

Redsn0w 0.9.10b6/0.9.10b6b can only perform a tethered jailbreak on iPhone 4, iPhone 3GS (expect iPhone 3GS with old bootrom), iPad 1 and 3rd-generation iPod touch, which means that you need to connect your iOS device to the computer on every reboot. So if you’ve jailbroken your iOS device running on iOS 5.0.1, you are better off avoiding the iOS 5.1 software update, which doesn’t include any major feature.

However, if you’ve accidentally updated your iOS device to iOS 5.1 then you can use Redsn0w 0.9.10b6. You can download Redsn0w 0.9.10b6b using this link for Mac and Redsn0w 0.9.10b6 using this link for Windows.

If you need help in jailbreak your iOS device on iOS 5.1 then checkout our detailed step-by-step guides:

iPhone Dev team hasn’t provided any update on the jailbreak for iPhone 4S, iPad 2 and iPad 3 running iOS 5.1.

As always, we’ll let you know as soon as there’s any update so stay tuned at iPhone Hacks or join our Facebook Fan page or follow us on Twitter or add us on Google+ or subscribe to our RSS feed.

Like this post? Share it!